org.apache.lucene.codecs

## Class UndeadNormsProducer

- java.lang.Object
- - org.apache.lucene.codecs.NormsProducer
  - - org.apache.lucene.codecs.UndeadNormsProducer

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public class UndeadNormsProducer
      extends NormsProducer

  Used only for backwards compatibility corner case, to provide re-animated norms when all fields are undead.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NormsProducer` | `INSTANCE` Use this instance
    `static String` | `LEGACY_UNDEAD_NORMS_KEY` Used to bring undead norms back to life.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()`
    `void` | `close()`
    `Collection<Accountable>` | `getChildResources()`
    `NormsProducer` | `getMergeInstance()`
    `NumericDocValues` | `getNorms(FieldInfo field)`
    `static boolean` | `isUndead(FieldInfo fieldInfo)` Returns true if this field has undead norms.
    `static boolean` | `isUndeadArmy(FieldInfos fieldInfos)`
    `long` | `ramBytesUsed()`
    `static void` | `setUndead(Map<String,String> attributes)` Call this to note that the field with these attributes has undead norms.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LEGACY_UNDEAD_NORMS_KEY

          public static final String LEGACY_UNDEAD_NORMS_KEY

      Used to bring undead norms back to life.

    - #### INSTANCE

          public static final NormsProducer INSTANCE

      Use this instance

  - ### Method Detail

    - #### isUndeadArmy

          public static boolean isUndeadArmy(FieldInfos fieldInfos)

    - #### isUndead

          public static boolean isUndead(FieldInfo fieldInfo)

      Returns true if this field has undead norms.

    - #### setUndead

          public static void setUndead(Map<String,String> attributes)

      Call this to note that the field with these attributes has undead norms.

    - #### getNorms

          public NumericDocValues getNorms(FieldInfo field)
                                    throws IOException

      Specified by:
        `getNorms` in class `NormsProducer`
      Throws:
        `IOException`

    - #### close

          public void close()

    - #### ramBytesUsed

          public long ramBytesUsed()

    - #### getChildResources

          public Collection<Accountable> getChildResources()

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `NormsProducer`
      Throws:
        `IOException`

    - #### getMergeInstance

          public NormsProducer getMergeInstance()
                                         throws IOException

      Overrides:
        `getMergeInstance` in class `NormsProducer`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.